Artifacts - Get File

Gets a file from the build.

GET https://dev.azure.com/{organization}/{project}/_apis/build/builds/{buildId}/artifacts?artifactName={artifactName}&fileId={fileId}&fileName={fileName}&api-version=5.0

URI Parameters

Name In Required Type Description
buildId
path True
  • integer
int32

The ID of the build.

organization
path True
  • string

The name of the Azure DevOps organization.

project
path True
  • string

Project ID or project name

api-version
query True
  • string

Version of the API to use. This should be set to '5.0' to use this version of the api.

artifactName
query True
  • string

The name of the artifact.

fileId
query True
  • string

The primary key for the file.

fileName
query True
  • string

The name that the file will be set to.

Responses

Name Type Description
200 OK
  • string

successful operation

Media Types: "application/octet-stream"

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.build Grants the ability to access build artifacts, including build results, definitions, and requests, and the ability to receive notifications about build events via service hooks.